import logging
import werkzeug
from flask import request, Response
import json
import datetime

class Entry(object):
    def __init__(self, d):
        self.ts = d['timestamp']
        self.freq = d['frequency']
    def __repr__(self):
        return self.__str__()
    def __str__(self):
        return "<ts:{}, f:{}>".format(self.ts, self.freq)

def insert(**args):
    try:
        entryListJSON = request.json
        logging.info("JSON Body: {}".format(entryListJSON))
        entryList = [ Entry(x) for x in entryListJSON ]
        logging.info("EntryList: {}".format(entryList))
        return Response("", status=201)
    except KeyError as e:
        raise werkzeug.exceptions.InternalServerError("Key Error: {}".format(e))


def get(start, stop, token_info=None, location=None):
    if 'read/mainscnt/entries' not in token_info['x-scope']:
        raise werkzeug.exceptions.Forbidden()
    res = [
        { 
            'timestamp': datetime.datetime.now(),
            'frequency': 50.0
        }
    ]
    return res